"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.queueMicrotask = queueMicrotask;
const monitor_1 = require("./monitor");
function queueMicrotask(callback) {
    const nativeImplementation = window.queueMicrotask;
    if (typeof nativeImplementation === 'function') {
        nativeImplementation((0, monitor_1.monitor)(callback));
    }
    else {
        // eslint-disable-next-line @typescript-eslint/no-floating-promises -- the callback is monitored, so it'll never throw
        Promise.resolve().then((0, monitor_1.monitor)(callback));
    }
}
//# sourceMappingURL=queueMicrotask.js.map